/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "sphere.h"

bool sphereDistance2D(float x0, float y0, float x1, float y1, float radius) {
  x0 = vectorDistance2D(x0, y0, x1, y1);
  return x0 <= radius;
}

bool sphereDistance3D(
  float x0, float y0, float z0, float x1, float y1, float z1, float radius
) {
  x0 = vectorDistance3D(x0, y0, z0, x1, y1, z1);
  return x0 <= radius;
}